import request from '@/utils/request'

// 查询药品入库记录列表
export function listDrugentry(query) {
    return request({
        url: '/pasd-healthcare/drugentry/list',
        method: 'get',
        params: query
    })
}

// 保存
export function saveDrugentry(data) {
    return request({
      url: '/pasd-healthcare/drugentry/save',
      method: 'post',
      data
    });
  }

// 查询药品入库记录详细
export function getDrugentry(id,pageNum,pageSize) {
    return request({
        url: '/pasd-healthcare/drugentry/' + id + '?pageNum=' + pageNum + '&pageSize=' + pageSize,
        method: 'get'
    })
}

// 新增药品入库记录
export function addDrugentry(data) {
    return request({
        url: '/pasd-healthcare/drugentry',
        method: 'post',
        data: data
    })
}

// 修改药品入库记录
export function updateDrugentry(data) {
    return request({
        url: '/pasd-healthcare/drugentry',
        method: 'put',
        data: data
    })
}

// 删除药品入库记录
export function delDrugentry(id) {
    return request({
        url: '/pasd-healthcare/drugentry/' + id,
        method: 'delete'
    })
}
